wp.blocks.registerBlockType('customgtblock/custom-block', {
    title: 'Company Contact Information',
    icon: 'hammer',
    category: 'design',
    attributes: {
        companyName: {
            type: 'string'
        },
        companyPhone: {
            type: 'string'
        },
        companyAddress: {
            type: 'string'
        },
        companyEmail: {
            type: 'string'
        },
        companyState: {
            type: 'string'
        },
        companyCity: {
            type: 'string'
        },
        companyzip: {
            type: 'string'
        }
    },
    edit: function(props) {

        function updateCompanyName(event) {
            props.setAttributes({
                companyName: event.target.value
            })
        }

        function updateCompanyPhone(event) {
            props.setAttributes({
                companyPhone: event.target.value
            })
        }

        function updateCompanyAddress(event) {
            props.setAttributes({
                companyAddress: event.target.value
            })
        }

        function updateCompanyEmail(event) {
            props.setAttributes({
                companyEmail: event.target.value
            })
        }

        function updateCompanyState(event) {
            props.setAttributes({
                companyState: event.target.value
            })
        }

        function updateCompanyCity(event) {
            props.setAttributes({
                companyCity: event.target.value
            })
        }

        function updateCompanyzip(event) {
            props.setAttributes({
                companyzip: event.target.value
            })
        }

        return React.createElement("div", null, /*#__PURE__*/ React.createElement("div", {
            class: "field-row"
        }, /*#__PURE__*/ React.createElement("label", null, "Comapny Name"), /*#__PURE__*/ React.createElement("input", {
            type: "text",
            value: props.attributes.companyName,
            placeholder: "Comapny Name",
            onChange: updateCompanyName
        })), /*#__PURE__*/ React.createElement("div", {
            class: "field-row"
        }, /*#__PURE__*/ React.createElement("label", null, "Comapny Phone"), /*#__PURE__*/ React.createElement("input", {
            type: "text",
            value: props.attributes.companyPhone,
            placeholder: "Comapny Phone",
            onChange: updateCompanyPhone
        })), /*#__PURE__*/ React.createElement("div", {
            class: "field-row"
        }, /*#__PURE__*/ React.createElement("label", null, "Comapny Address"), /*#__PURE__*/ React.createElement("input", {
            type: "text",
            value: props.attributes.companyAddress,
            placeholder: "Comapny Address",
            onChange: updateCompanyAddress
        })), /*#__PURE__*/ React.createElement("div", {
            class: "field-row"
        }, /*#__PURE__*/ React.createElement("label", null, "Comapny Email"), /*#__PURE__*/ React.createElement("input", {
            type: "text",
            value: props.attributes.companyEmail,
            placeholder: "Comapny Email",
            onChange: updateCompanyEmail
        })), /*#__PURE__*/ React.createElement("div", {
            class: "field-row"
        }, /*#__PURE__*/ React.createElement("label", null, "Comapny State"), /*#__PURE__*/ React.createElement("input", {
            type: "text",
            value: props.attributes.companyState,
            placeholder: "Comapny State",
            onChange: updateCompanyState
        })), /*#__PURE__*/ React.createElement("div", {
            class: "field-row"
        }, /*#__PURE__*/ React.createElement("label", null, "Comapny City"), /*#__PURE__*/ React.createElement("input", {
            type: "text",
            value: props.attributes.companyCity,
            placeholder: "Comapny City",
            onChange: updateCompanyCity
        })), /*#__PURE__*/ React.createElement("div", {
            class: "field-row"
        }, /*#__PURE__*/ React.createElement("label", null, "Comapny zip"), /*#__PURE__*/ React.createElement("input", {
            type: "text",
            value: props.attributes.companyzip,
            placeholder: "Comapny zip",
            onChange: updateCompanyzip
        })));
    },

    save: function(props) {
        return React.createElement("div", {
            class: "company-info-block"
        }, /*#__PURE__*/ React.createElement("h4", null, "Comapny Name: ", props.attributes.companyName), /*#__PURE__*/ React.createElement("p", null, "Comapny Phone: ", props.attributes.companyPhone), /*#__PURE__*/ React.createElement("p", null, "Comapny Address: ", props.attributes.companyAddress), /*#__PURE__*/ React.createElement("p", null, "Comapny Email: ", props.attributes.companyEmail), /*#__PURE__*/ React.createElement("p", null, "Comapny State: ", props.attributes.companyState), /*#__PURE__*/ React.createElement("p", null, "Comapny City: ", props.attributes.companyCity), /*#__PURE__*/ React.createElement("p", null, "Comapny Zipcode: ", props.attributes.companyzip));

    }


})